package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * high_activity_award_actual_prize
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighActivityAwardActualPrize implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 活动奖品id
     */
    private Long activityAwardPrizeId;

    /**
     * 活动奖励编号id
     */
    private Long activityAwardSerialNumId;

    /**
     * 实际奖品类型   1：卡券   2：优惠券
     */
    private Integer actualPrizeType;

    /**
     * 实际奖品id  例如：奖品为卡券  实际奖品是卡券核销码
     */
    private Long actualPrizeId;

    /**
     * 状态  0：不可用  1：可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getActivityAwardPrizeId() {
        return activityAwardPrizeId;
    }

    public void setActivityAwardPrizeId(Long activityAwardPrizeId) {
        this.activityAwardPrizeId = activityAwardPrizeId;
    }

    public Long getActivityAwardSerialNumId() {
        return activityAwardSerialNumId;
    }

    public void setActivityAwardSerialNumId(Long activityAwardSerialNumId) {
        this.activityAwardSerialNumId = activityAwardSerialNumId;
    }

    public Integer getActualPrizeType() {
        return actualPrizeType;
    }

    public void setActualPrizeType(Integer actualPrizeType) {
        this.actualPrizeType = actualPrizeType;
    }

    public Long getActualPrizeId() {
        return actualPrizeId;
    }

    public void setActualPrizeId(Long actualPrizeId) {
        this.actualPrizeId = actualPrizeId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighActivityAwardActualPrize other = (HighActivityAwardActualPrize) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getActivityAwardPrizeId() == null ? other.getActivityAwardPrizeId() == null : this.getActivityAwardPrizeId().equals(other.getActivityAwardPrizeId()))
            && (this.getActivityAwardSerialNumId() == null ? other.getActivityAwardSerialNumId() == null : this.getActivityAwardSerialNumId().equals(other.getActivityAwardSerialNumId()))
            && (this.getActualPrizeType() == null ? other.getActualPrizeType() == null : this.getActualPrizeType().equals(other.getActualPrizeType()))
            && (this.getActualPrizeId() == null ? other.getActualPrizeId() == null : this.getActualPrizeId().equals(other.getActualPrizeId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getActivityAwardPrizeId() == null) ? 0 : getActivityAwardPrizeId().hashCode());
        result = prime * result + ((getActivityAwardSerialNumId() == null) ? 0 : getActivityAwardSerialNumId().hashCode());
        result = prime * result + ((getActualPrizeType() == null) ? 0 : getActualPrizeType().hashCode());
        result = prime * result + ((getActualPrizeId() == null) ? 0 : getActualPrizeId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", activityAwardPrizeId=").append(activityAwardPrizeId);
        sb.append(", activityAwardSerialNumId=").append(activityAwardSerialNumId);
        sb.append(", actualPrizeType=").append(actualPrizeType);
        sb.append(", actualPrizeId=").append(actualPrizeId);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}